using System;

namespace ADEPT.Core.Lesson;

public interface ILessonHandler
{
    
    public event EventHandler LessonLoaded;
    public event EventHandler PageChanged;
    
    public ILesson CurrentLesson { get; }
    public IPage CurrentPage { get; }
    
    public void LoadLesson(string lessonName);
    public void SaveLesson(ILesson lesson, string lessonName);
    
    public void LoadNextPage();
    public void LoadPreviousPage();
    public void LoadPageToIndex(int index);
}